const { a, em, strong } = require("hyperaxe");

const i18n = {
  en: {
    // navbar items
    extended: "Multiverse",
    extendedDescription: [
      "When you support someone you may download posts from the inhabitants they support, and those posts show up here, sorted by recency.",
    ],
    popular: "Highlights",
    popularDescription: [
      "Posts from inhabitants in your network, ",
      strong("sorted by spreads"),
      ". Select the period of time, to get a list.",
    ],
    day: "Day",
    week: "Week",
    month: "Month",
    year: "Year",
    latest: "Latest",
    latestDescription: [
      strong("Posts"),
      " from yourself and inhabitants you support, sorted by recency.",
    ],
    topics: "Topics",
    topicsDescription: [
      strong("Topics"),
      " from yourself and inhabitants you support, sorted by recency. Select the timestamp of any post to see the rest of the thread.",
    ],
    summaries: "Summaries",
    summariesDescription: [
      strong("Topics and some comments"),
      " from yourself and inhabitants you support, sorted by recency. Select the timestamp of any post to see the rest of the thread.",
    ],
    threads: "Threads",
    threadsDescription: [
      strong("Posts that have comments"),
      " from inhabitants you support and your multiverse, sorted by recency. Select the timestamp of any post to see the rest of the thread.",
    ],
    profile: "Avatar",
    inhabitants: "Inhabitants", 
    manualMode: "Manual Mode",
    mentions: "Mentions",
    mentionsDescription: [
      strong("Posts that @mention you"),
      ", sorted by recency.",
    ],
    private: "Inbox",
    peers: "Peers",
    privateDescription: [
      "The latest comment from ",
      strong("private threads that include you"),
      ", sorted by recency. Private posts are encrypted for your public key, and have a maximum of 7 recipients. Recipients cannot be added after the thread has started. Select the timestamp to view the full thread.",
    ],
    search: "Search",
    imageSearch: "Image Search",
    settings: "Settings",
    continueReading: "continue reading",
    moreComments: "more comment",
    readThread: "read the rest of the thread",    
    // modules
    modules: "Modules",
    modulesViewTitle: "Modules",
    modulesViewDescription: "Set your environment by enabling or disabling modules.",
    inbox: "Inbox",
    multiverse: "Multiverse",
    popularLabel: "⌘ Highlights",
    topicsLabel: "ϟ Topics",
    latestLabel: "☄ Latest",
    summariesLabel: "※ Summaries",
    threadsLabel: "♺ Threads",
    multiverseLabel: "∞ Multiverse",
    inboxLabel: "☂ Inbox",
    invitesLabel: "ꔹ Invites",
    walletLabel: "❄ Wallet",
    legacyLabel: "ꖸ Legacy",
    cipherLabel: "ꗄ Crypter",
    saveSettings: "Save configuration",
    // post actions
    comment: "Comment",
    subtopic: "Subtopic",
    json: "JSON",
    // relationships
    unfollow: "Unsupport",
    follow: "Support",
    block: "Block",
    unblock: "Unblock",
    newerPosts: "Newer posts",
    olderPosts: "Older posts",
    feedRangeEmpty: "The given range is empty for this feed. Try viewing the ",
    seeFullFeed: "full feed",
    feedEmpty: "The Oasis client has never seen posts from this account.",
    beginningOfFeed: "This is the beginning of the feed",
    noNewerPosts: "No newer posts have been received yet.",
    relationshipNotFollowing: "You are not supported",
    relationshipTheyFollow: "They support",
    relationshipMutuals: "Mutual support",
    relationshipFollowing: "You are supporting",
    relationshipYou: "You",
    relationshipBlocking: "You are blocking",
    relationshipNone: "You are not supporting",
    relationshipConflict: "Conflict",
    relationshipBlockingPost: "Blocked post",
    // spreads view
    viewLikes: "View spreads",
    spreadedDescription: "List of posts spread by the inhabitant.",
    likedBy: " -> Spreads",
    // composer
    attachFiles: "Attach files",
    mentionsMatching: "Matching mentions",
    preview: "Preview",
    publish: "Write",
    contentWarningPlaceholder: "Add a subject to the post (optional)",
    privateWarningPlaceholder: "Add inhabitants to send a private post (ex: @bob @alice) (optional)",
    publishWarningPlaceholder: "...",
    publishCustomDescription: [
      "REMEMBER: Due to blockchain technology, once a post is published it cannot be edited or deleted.",
    ],
    commentWarning: [
      "REMEMBER: Due to blockchain technology, once a post is published it cannot be edited or deleted.",
    ],
    commentPublic: "public",
    commentPrivate: "private",
    commentLabel: ({ publicOrPrivate, markdownUrl }) => [
    ],
    publishLabel: ({ markdownUrl, linkTarget }) => [
      "REMEMBER: Due to blockchain technology, once a post is published it cannot be edited or deleted.",
    ],
    replyLabel: ({ markdownUrl }) => [
      "REMEMBER: Due to blockchain technology, once a post is published it cannot be edited or deleted.",
    ],
    publishCustomInfo: ({ href }) => [
      "If you have experience, you can also ",
      a({ href }, "write an advanced post"),
      ".",
    ],
    publishBasicInfo: ({ href }) => [
      "If you have not experience, you should ",
      a({ href }, "write a post"),
      ".",
    ],
    publishCustom: "Write advanced post",
    subtopicLabel: ({ markdownUrl }) => [
      "Create a ",
      strong("public subtopic"),
      " of this post with ",
      a({ href: markdownUrl }, "Markdown"),
      ". Posts cannot be edited or deleted. To respond to an entire thread, select ",
      strong("comment"),
      " instead. Preview shows attached media.",
    ],
    // settings
    updateit: "Get updates",
    info: "Info",
    settingsIntro: ({ version }) => [
      `Oasis: [${version}]`,
    ],
    timeAgo: "ago",
    sendTime: "about ",
    theme: "Theme",
    legacy: "Legacy",
    legacyTitle: "Legacy",
    legacyDescription: "Manage your secret (private key) quickly and safely.",   
    legacyExportButton: "Export",
    legacyImportButton: "Import",
    exportTitle: "Export data",
    exportDescription: "Set password (min 32 characters long) to encrypt your key",
    importTitle: "Import data",
    importDescription: "Import your encrypted secret (private key) to enable your avatar",
    importAttach: "Attach encrypted file (.enc)",    
    passwordLengthInfo: "Password must be at least 32 characters long.",
    passwordImport: "Write your password to decrypt data that will be saved at your system home (name: secret)",
    randomPassword: "Random password",
    exportPasswordPlaceholder: "Use lowercase, uppercase, numbers & symbols",
    fileInfo: "Your encrypted secret key will be saved at your system home (name: oasis.enc)",
    themeIntro:
      "Choose a theme.",
    setTheme: "Set theme",
    language: "Language",
    languageDescription:
      "If you'd like to use another language, select it here.",
    setLanguage: "Set language",
    status: "Status",
    peerConnections: "Peers",
    peerConnectionsIntro: "Manage all your connections with other peers.",
    online: "Online",
    supported: "Supported",
    recommended: "Recommended", 
    blocked: "Blocked",
    noConnections: "No peers connected.",
    noSupportedConnections: "No peers supported.",
    noBlockedConnections: "No peers blocked.",
    noRecommendedConnections: "No peers recommended.",
    connectionActionIntro:
      "",
    startNetworking: "Start networking",
    stopNetworking: "Stop networking",
    restartNetworking: "Restart networking",
    sync: "Sync network",
    indexes: "Indexes",
    indexesDescription:
      "Rebuilding your indexes is safe, and may fix some types of bugs.",
    invites: "Invites",
    invitesDescription:
      "Use the PUB's invite codes here.",
    acceptInvite: "Accept invite",
    acceptedInvites: "Federated Networks",
    noInvites: "No invites accepted.",
    // search page
    searchLabel: "Seek inhabitants and keywords, among the posts you have downloaded.",
    // image search page
    imageSearchLabel: "Enter words to search for images labelled with them.",
    // posts and comments
    commentDescription: ({ parentUrl }) => [
      " commented on ",
      a({ href: parentUrl }, " thread"),
    ],
    commentTitle: ({ authorName }) => [`Comment on @${authorName}'s post`],
    subtopicDescription: ({ parentUrl }) => [
      " created a subtopic from ",
      a({ href: parentUrl }, " a post"),
    ],
    subtopicTitle: ({ authorName }) => [`Subtopic on @${authorName}'s post`],
    mysteryDescription: "posted a mysterious post",
    // misc
    oasisDescription: "SNH Project Network",
    submit: "Submit",
    subjectLabel: "Subject",
    editProfile: "Edit Avatar",
    editProfileDescription:
      "",
    profileName: "Avatar name (plain text)",
    profileImage: "Avatar image",
    profileDescription: "Avatar description (Markdown)",
    hashtagDescription:
      "Posts from inhabitants in your network that reference this #hashtag, sorted by recency.",
    rebuildName: "Rebuild database",
    wallet: "Wallet",
    walletAddress: "Address",
    walletAmount: "Amount",
    walletAddressLine: ({ address }) => `Address: ${address}`,
    walletAmountLine: ({ amount }) => `Amount: ${amount} ECO`,
    walletBack: "Back",
    walletBalanceTitle: "Balance",
    walletWalletSendTitle: "Send",
    walletReceiveTitle: "Receive",
    walletHistoryTitle: "History",
    walletBalanceLine: ({ balance }) => `${balance} ECO`,
    walletCnfrs: "Cnfrs",
    walletConfirm: "Confirm",
    walletDescription: "Manage your digital assets, including sending and receiving ECOin, viewing your balance, and accessing your transaction history.",
    walletDate: "Date",
    walletFee: "Fee (The higher the fee, the faster your transaction will be processed)",
    walletFeeLine: ({ fee }) => `Fee: ECO ${fee}`,
    walletHistory: "History",
    walletReceive: "Receive",
    walletReset: "Reset",
    walletSend: "Send",
    walletStatus: "Status",
    walletDisconnected: "ECOin wallet disconnected. Check your wallet settings or connection status.",
    walletSentToLine: ({ destination, amount }) => `Sent ECO ${amount} to ${destination}`,
    walletSettingsTitle: "Wallet",
    walletSettingsDescription: "Integrate Oasis with your ECOin wallet.",
    walletStatusMessages: {
      invalid_amount: "Invalid amount",
      invalid_dest: "Invalid destination address",
      invalid_fee: "Invalid fee",
      validation_errors: "Validation errors",
      send_tx_success: "Transaction successful",
    },
    walletTitle: "Wallet",
    walletTotalCostLine: ({ totalCost }) => `Total cost: ECO ${totalCost}`,
    walletTransactionId: "Transaction ID",
    walletTxId: "Tx ID",
    walletType: "Type",
    walletUser: "Username",
    walletPass: "Password",
    walletConfiguration: "Set wallet",
    //cipher
    cipher: "Crypter",
    cipherTitle: "Cipher",
    cipherDescription: "Encrypt and decrypt your text symmetrically (using a shared password).",
    randomPassword: "Random Password",
    cipherEncryptTitle: "Encrypt Text",
    cipherEncryptDescription: "Set password (min 32 characters long) to encrypt your text",
    cipherTextLabel: "Text to Encrypt",
    cipherTextPlaceholder: "Enter text to encrypt...",
    cipherPasswordLabel: "Password",
    cipherPasswordPlaceholder: "Enter a password...",
    cipherEncryptButton: "Encrypt",
    cipherDecryptTitle: "Decrypt Text",
    cipherDecryptDescription: "Enter the encrypted text and password to decrypt.",
    cipherEncryptedTextLabel: "Encrypted Text",
    cipherEncryptedTextPlaceholder: "Enter the encrypted text...",
    cipherIvLabel: "IV",
    cipherIvPlaceholder: "Enter the initialization vector...",
    cipherDecryptButton: "Decrypt",
    password: "Password",
    text: "Text",
    encryptedText: "Encrypted Text",
    iv: "Initialization Vector (IV)",
    encryptTitle: "Encrypt your text",
    encryptDescription: "Enter the text you want to encrypt and provide a password.",
    encryptButton: "Encrypt",
    decryptTitle: "Decrypt your text",
    decryptDescription: "Enter the encrypted text and provide the same password used for encryption.",
    decryptButton: "Decrypt",
    passwordLengthError: "Password must be at least 32 characters long.",
    missingFieldsError: "Text, password or IV not provided.",
    encryptionError: "Error encrypting text.",
    decryptionError: "Error decrypting text."
    },
  /* spell-checker: disable */
    es: {
    // navbar items
    extended: "Multiverso",
    extendedDescription: [
    "Cuando apoyas a alguien, puedes descargar sus publicaciones, y esas publicaciones aparecen aquí, ordenadas por las más recientes.",
    ],
    popular: "Destacados",
    popularDescription: [
    "Publicaciones de habitantes en tu red, ",
    strong("ordenadas por expansiones"),
    ". Selecciona el período de tiempo para obtener una lista.",
    ],
    day: "Día",
    week: "Semana",
    month: "Mes",
    year: "Año",
    latest: "Últimos",
    latestDescription: [
    strong("Publicaciones"),
    " tuyas y de lass habitantes que apoyas, ordenadas por la más reciente.",
    ],
    topics: "Temas",
    topicsDescription: [
    strong("Temas"),
    " tuyos y de las habitantes que apoyas, ordenados por los más recientes. Selecciona la marca de tiempo de cualquier publicación para ver el resto del hilo.",
    ],
    summaries: "Resúmenes",
    summariesDescription: [
    strong("Temas y algunos comentarios"),
    " tuyos y de las habitantes que apoyas, ordenados por los más recientes. Selecciona la marca de tiempo de cualquier publicación para ver el resto del hilo.",
    ],
    threads: "Hilos",
    threadsDescription: [
    strong("Publicaciones que tienen comentarios"),
    " de las habitantes que apoyas y tu multiverso, ordenadas por las más recientes. Selecciona la marca de tiempo de cualquier publicación para ver el resto del hilo.",
    ],
    profile: "Avatar",
    inhabitants: "Habitantes",
    manualMode: "Modo Manual",
    mentions: "Menciones",
    mentionsDescription: [
    strong("Publicaciones que te @mencionan"),
    ", ordenadas por las más recientes.",
    ],
    private: "Buzón",
    peers: "Nodos",
    privateDescription: [
    "El último comentario de ",
    strong("hilos privados que te incluyen"),
    ", ordenados por los más recientes. Las publicaciones privadas están cifradas para tu clave pública, y tienen un máximo de 7 destinatarios. Los destinatarios no pueden ser añadidos después de que el hilo haya comenzado. Selecciona la marca de tiempo para ver el hilo completo.",
    ],
    search: "Buscar",
    imageSearch: "Búsqueda de imágenes",
    settings: "Configuración",
    continueReading: "seguir leyendo",
    moreComments: "comentarios má",
    readThread: "leer el resto del hilo",
    // modules
    modules: "Módulos",
    modulesViewTitle: "Módulos",
    modulesViewDescription: "Configura tu entorno habilitando o deshabilitando módulos.",
    inbox: "Buzón",
    multiverse: "Multiverso",
    popularLabel: "⌘ Destacados",
    topicsLabel: "ϟ Temas",
    latestLabel: "☄ Últimos",
    summariesLabel: "※ Resúmenes",
    threadsLabel: "♺ Hilos",
    multiverseLabel: "∞ Multiverso",
    inboxLabel: "☂ Buzón",
    invitesLabel: "ꔹ Invitaciones",
    walletLabel: "❄ Billetera",
    legacyLabel: "ꖸ Herencia",
    cipherLabel: "ꗄ Cripta",
    saveSettings: "Guardar configuración",
    // post actions
    comment: "Comentar",
    subtopic: "Subtema",
    json: "JSON",
    // relationships
    unfollow: "Dejar de apoyar",
    follow: "Apoyar",
    block: "Bloquear",
    unblock: "Desbloquear",
    newerPosts: "Publicaciones más recientes",
    olderPosts: "Publicaciones más antiguas",
    feedRangeEmpty: "El rango dado está vacío para este feed. Intenta ver el ",
    seeFullFeed: "feed completo",
    feedEmpty: "El cliente local de Oasis no ha accedido a publicaciones aún.",
    beginningOfFeed: "Este es el comienzo del feed",
    noNewerPosts: "No se han recibido publicaciones más recientes.",
    relationshipNotFollowing: "No te da apoyo",
    relationshipTheyFollow: "Ellos apoyan",
    relationshipMutuals: "Apoyo mutuo",
    relationshipFollowing: "Das apoyo",
    relationshipYou: "Tú",
    relationshipBlocking: "Estás bloqueando",
    relationshipNone: "No estás apoyando",
    relationshipConflict: "En conflicto",
    relationshipBlockingPost: "Publicación bloqueada",
    // spreads view
    viewLikes: "Ver Apoyos",
    spreadedDescription: "Lista de publicaciones apoyadas por la habitante.",
    likedBy: " -> Apoyos",
    // composer
    attachFiles: "Adjuntar archivos",
    mentionsMatching: "Menciones coincidentes",
    preview: "Vista previa",
    publish: "Escribir",
    contentWarningPlaceholder: "Agrega un tema a la publicación (opcional)",
    privateWarningPlaceholder: "Agrega habitantes para enviar una publicación privada (ej: @bob @alice) (opcional)",
    publishWarningPlaceholder: "...",
    publishCustomDescription: [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    commentWarning: [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    commentPublic: "público",
    commentPrivate: "privado",
    commentLabel: ({ publicOrPrivate, markdownUrl }) => [
    ],
    publishLabel: ({ markdownUrl, linkTarget }) => [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    replyLabel: ({ markdownUrl }) => [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    publishCustomInfo: ({ href }) => [
    "Si tienes experiencia, también puedes ",
    a({ href }, "escribir una publicación avanzada"),
    ".",
    ],
    publishBasicInfo: ({ href }) => [
      "Si no tienes experiencia, deberías ",
      a({ href }, "escribir una publicación"),
      ".",
    ],
    publishCustom: "Escribir publicación avanzada",
    subtopicLabel: ({ markdownUrl }) => [
      "Crear un ",
      strong("subtema público"),
      " de esta publicación con ",
      a({ href: markdownUrl }, "Markdown"),
      ". Las publicaciones no pueden ser editadas ni eliminadas. Para responder a un hilo completo, selecciona ",
      strong("comentar"),
    " en su lugar. La vista previa muestra los medios adjuntos.",
    ],
    // settings
    updateit: "Obtener actualizaciones",
    info: "Información",
    settingsIntro: ({ version }) => [
      `Oasis: [${version}]`,
    ],
    timeAgo: "",
    sendTime: "aproximadamente hace ",
    theme: "Tema",
    legacy: "Herencia",
    legacyTitle: "Herencia",
    legacyDescription: "Gestiona tu secreto (clave privada) de forma rápida y segura.",
    legacyExportButton: "Exportar",
    legacyImportButton: "Importar",
    exportTitle: "Exportar datos",
    exportDescription: "Establece una contraseña (mínimo 32 caracteres) para cifrar tu clave",
    importTitle: "Importar datos",
    importDescription: "Importa tu secreto cifrado (clave privada) para habilitar tu avatar",
    importAttach: "Adjuntar archivo cifrado (.enc)",
    passwordLengthInfo: "La contraseña debe tener al menos 32 caracteres.",
    passwordImport: "Escribe tu contraseña para descifrar los datos que se guardarán en el directorio de tu sistema (nombre: secreto)",
    exportPasswordPlaceholder: "Usa minúsculas, mayúsculas, números y símbolos",
    fileInfo: "Tu clave secreta cifrada se guardará en el directorio de tu sistema (nombre: oasis.enc)",
    themeIntro: "Elige un tema.",
    setTheme: "Establecer tema",
    language: "Idioma",
    languageDescription: "Si deseas usar otro idioma, selecciona aquí.",
    setLanguage: "Establecer idioma",
    status: "Estado",
    peerConnections: "Nodos",
    peerConnectionsIntro: "Maneja todas tus conexiones que otros nodos.",
    online: "En línea",
    supported: "Apoyado",
    recommended: "Recomendado",
    blocked: "Bloqueado",
    noConnections: "No hay habitantes conectados.",
    noSupportedConnections: "No hay habitantes apoyados.",
    noBlockedConnections: "No hay habitantes bloqueados.",
    noRecommendedConnections: "No hay habitantes recomendados.",
    connectionActionIntro: "",
    startNetworking: "Comenzar a conectar",
    stopNetworking: "Dejar de conectar",
    restartNetworking: "Reiniciar la conexión",
    sync: "Sincronizar red",
    indexes: "Índices",
    indexesDescription: "Reconstruir tus índices es seguro y puede solucionar algunos tipos de errores.",
    invites: "Invitaciones",
    invitesDescription: "Usa los códigos de invitación del PUB aquí.",
    acceptInvite: "Aceptar invitación",
    acceptedInvites: "Redes federadas",
    noInvites: "No se han aceptado invitaciones",
    // search page
    searchLabel: "Buscar habitantes y palabras clave entre las publicaciones que has descargado.",
    // image search page
    imageSearchLabel: "Introduce palabras para buscar imágenes etiquetadas con ellas.",
    // posts and comments
    commentDescription: ({ parentUrl }) => [
    " comentó en ",
    a({ href: parentUrl }, " el hilo"),
    ],
    commentTitle: ({ authorName }) => [`Comentario en la publicación de @${authorName}`],
    subtopicDescription: ({ parentUrl }) => [
    " creó un subtema de ",
    a({ href: parentUrl }, " una publicación"),
    ],
    subtopicTitle: ({ authorName }) => [`Subtema en la publicación de @${authorName}`],
    mysteryDescription: "envió una publicación misteriosa",
    // misc
    oasisDescription: "Red del Proyecto SNH",
    submit: "Enviar",
    subjectLabel: "Asunto",
    editProfile: "Editar Avatar",
    editProfileDescription: "",
    profileName: "Nombre del avatar (texto plano)",
    profileImage: "Imagen del avatar",
    profileDescription: "Descripción del avatar (Markdown)",
    hashtagDescription: "Publicaciones de habitantes en tu red que mencionan este #hashtag, ordenadas por las más recientes.",
    rebuildName: "Reconstruir base de datos",
    wallet: "Billetera",
    walletAddress: "Dirección",
    walletAmount: "Cantidad",
    walletAddressLine: ({ address }) => `Dirección: ${address}`,
    walletAmountLine: ({ amount }) => `Cantidad: ${amount} ECO`,
    walletBack: "Volver",
    walletBalanceTitle: "Balance",
    walletReceiveTitle: "Recibir",
    walletHistoryTitle: "Historial",
    walletWalletSendTitle: "Enviar",
    walletBalanceLine: ({ balance }) => `${balance} ECO`,
    walletCnfrs: "Cnfrs",
    walletConfirm: "Confirmar",
    walletDescription: "Gestiona tus activos digitales, incluyendo el envío y recepción de ECOin, ver tu saldo e historial de transacciones.",
    walletDate: "Fecha",
    walletFee: "Comisión (Cuanto mayor es la comisión, más rápido se procesará tu transacción)",
    walletFeeLine: ({ fee }) => `Comisión: ECO ${fee}`,
    walletHistory: "Historial",
    walletReceive: "Recibir",
    walletReset: "Restablecer",
    walletSend: "Enviar",
    walletStatus: "Estado",
    walletDisconnected: "Billetera ECOin desconectada. Verifica la configuración de tu billetera o el estado de la conexión.",
    walletSentToLine: ({ destination, amount }) => `Enviado ECO ${amount} a ${destination}`,
    walletSettingsTitle: "Billetera",
    walletSettingsDescription: "Integra Oasis con tu billetera ECOin.",
    walletStatusMessages: {
    invalid_amount: "Cantidad inválida",
    invalid_dest: "Dirección de destino inválida",
    invalid_fee: "Comisión inválida",
    validation_errors: "Errores de validación",
    send_tx_success: "Transacción exitosa",
    },
    walletTitle: "Billetera",
    walletTotalCostLine: ({ totalCost }) => `Costo total: ECO ${totalCost}`,
    walletTransactionId: "ID de transacción",
    walletTxId: "ID Tx",
    walletType: "Tipo",
    walletUser: "Nombre de usuario",
    walletPass: "Contraseña",
    walletConfiguration: "Configurar billetera",
    //cipher
    cipher: "Cripta",
    randomPassword: "Contraseña aleatoria",
    password: "Contraseña",
    text: "Texto",
    encryptedText: "Texto cifrado",
    iv: "Vector de Inicialización (IV)",
    encryptTitle: "Cifra tu texto",
    encryptDescription: "Introduce el texto que deseas cifrar y proporciona una contraseña.",
    encryptButton: "Cifrar",
    decryptTitle: "Descifra tu texto",
    decryptDescription: "Introduce el texto cifrado y proporciona la misma contraseña utilizada para cifrar.",
    decryptButton: "Descifrar",
    passwordLengthError: "La contraseña debe tener al menos 32 caracteres.",
    missingFieldsError: "Texto, contraseña o IV no proporcionados.",
    encryptionError: "Error cifrando el texto.",
    decryptionError: "Error descifrando el texto.",
    //cipher
    cipherTitle: "Cifrado",
    cipherDescription: "Cifra y descifra contenido simétricamente (usando una contraseña compartida).",
    randomPassword: "Contraseña Aleatoria",
    cipherEncryptTitle: "Encriptar Texto",
    cipherEncryptDescription: "Establece una contraseña (mínimo 32 caracteres) para cifrar tu texto",
    cipherTextLabel: "Texto a Encriptar",
    cipherTextPlaceholder: "Introduce el texto para encriptar...",
    cipherPasswordLabel: "Contraseña",
    cipherPasswordPlaceholder: "Introduce una contraseña...",
    cipherEncryptButton: "Encriptar",
    cipherDecryptTitle: "Desencriptar Texto",
    cipherDecryptDescription: "Introduce el texto encriptado, la contraseña y el IV para desencriptar.",
    cipherEncryptedTextLabel: "Texto Encriptado",
    cipherEncryptedTextPlaceholder: "Introduce el texto encriptado...",
    cipherIvLabel: "IV",
    cipherIvPlaceholder: "Introduce el vector de inicialización...",
    cipherDecryptButton: "Desencriptar"
  },
  /* spell-checker: disable */
fr: {
    // navbar items
    extended: "Multivers",
    extendedDescription: [
    "Lorsque vous soutenez quelqu'un, vous pouvez télécharger ses publications, et ces publications apparaissent ici, triées par les plus récentes.",
    ],
    popular: "En vedette",
    popularDescription: [
    "Publications des habitants de votre réseau, ",
    strong("classées par expansions"),
    ". Sélectionnez la période pour obtenir une liste.",
    ],
    day: "Jour",
    week: "Semaine",
    month: "Mois",
    year: "Année",
    latest: "Derniers",
    latestDescription: [
    strong("Publications"),
    " de vous et des habitants que vous soutenez, triées par les plus récentes.",
    ],
    topics: "Sujets",
    topicsDescription: [
    strong("Sujets"),
    " de vous et des habitants que vous soutenez, triés par les plus récents. Sélectionnez l'horodatage d'une publication pour voir le reste du fil.",
    ],
    summaries: "Résumés",
    summariesDescription: [
    strong("Sujets et quelques commentaires"),
    " de vous et des habitants que vous soutenez, triés par les plus récents. Sélectionnez l'horodatage d'une publication pour voir le reste du fil.",
    ],
    threads: "Fils",
    threadsDescription: [
    strong("Publications avec commentaires"),
    " des habitants que vous soutenez et de votre multivers, triées par les plus récentes. Sélectionnez l'horodatage d'une publication pour voir le reste du fil.",
    ],
    profile: "Avatar",
    inhabitants: "Habitants",
    manualMode: "Mode Manuel",
    mentions: "Mentions",
    mentionsDescription: [
    strong("Publications qui vous @mentionnent"),
    ", triées par les plus récentes.",
    ],
    private: "Boîte de réception",
    peers: "Nœuds",
    privateDescription: [
    "Le dernier commentaire de ",
    strong("fils privés qui vous incluent"),
    ", triés par les plus récents. Les publications privées sont chiffrées pour votre clé publique et ont un maximum de 7 destinataires. Les destinataires ne peuvent pas être ajoutés après le début du fil. Sélectionnez l'horodatage pour voir le fil complet.",
    ],
    search: "Rechercher",
    imageSearch: "Recherche d'images",
    settings: "Paramètres",
    continueReading: "continuer la lecture",
    moreComments: "plus de commentaires",
    readThread: "lire le reste du fil",
    // modules
    modules: "Modules",
    modulesViewTitle: "Modules",
    modulesViewDescription: "Configurez votre environnement en activant ou désactivant des modules.",
    inbox: "Boîte de réception",
    multiverse: "Multivers",
    popularLabel: "⌘ En vedette",
    topicsLabel: "ϟ Sujets",
    latestLabel: "☄ Derniers",
    summariesLabel: "※ Résumés",
    threadsLabel: "♺ Fils",
    multiverseLabel: "∞ Multivers",
    inboxLabel: "☂ Boîte de réception",
    invitesLabel: "ꔹ Invitations",
    walletLabel: "❄ Portefeuille",
    legacyLabel: "ꖸ Héritage",
    cipherLabel: "ꗄ Crypte",
    saveSettings: "Enregistrer les paramètres",
    // post actions
    comment: "Commenter",
    subtopic: "Sous-sujet",
    json: "JSON",
    // relationships
    unfollow: "Ne plus soutenir",
    follow: "Soutenir",
    block: "Bloquer",
    unblock: "Débloquer",
    newerPosts: "Publications plus récentes",
    olderPosts: "Publications plus anciennes",
    feedRangeEmpty: "La plage donnée est vide pour ce flux. Essayez de voir le ",
    seeFullFeed: "flux complet",
    feedEmpty: "Le client local d'Oasis n'a pas encore accédé aux publications.",
    beginningOfFeed: "Ceci est le début du flux",
    noNewerPosts: "Aucune publication plus récente reçue.",
    relationshipNotFollowing: "Ne vous soutient pas",
    relationshipTheyFollow: "Ils soutiennent",
    relationshipMutuals: "Soutien mutuel",
    relationshipFollowing: "Vous soutenez",
    relationshipYou: "Vous",
    relationshipBlocking: "Vous bloquez",
    relationshipNone: "Vous ne soutenez pas",
    relationshipConflict: "En conflit",
    relationshipBlockingPost: "Publication bloquée",
    // spreads view
    viewLikes: "Voir les soutiens",
    spreadedDescription: "Liste des publications soutenues par l'habitant.",
    likedBy: " -> Soutiens",
    // composer
    attachFiles: "Joindre des fichiers",
    mentionsMatching: "Mentions correspondantes",
    preview: "Aperçu",
    publish: "Publier",
    contentWarningPlaceholder: "Ajoutez un sujet à la publication (optionnel)",
    privateWarningPlaceholder: "Ajoutez des habitants pour envoyer une publication privée (ex: @bob @alice) (optionnel)",
    publishWarningPlaceholder: "...",
    publishCustomDescription: [
    "RAPPEL : En raison de la technologie blockchain, une fois publié, il ne peut être ni modifié ni supprimé.",
    ],
    commentWarning: [
    "RAPPEL : En raison de la technologie blockchain, une fois publié, il ne peut être ni modifié ni supprimé.",
    ],
    commentPublic: "public",
    commentPrivate: "privé",
    // settings
    updateit: "Obtenir les mises à jour",
    info: "Informations",
    settingsIntro: ({ version }) => [
      `Oasis: [${version}]`,
    ],
    timeAgo: "",
    sendTime: "environ ",
    theme: "Thème",
    legacy: "Héritage",
    legacyTitle: "Héritage",
    legacyDescription: "Gérez votre secret (clé privée) rapidement et en toute sécurité.",
    legacyExportButton: "Exporter",
    legacyImportButton: "Importer",
    exportTitle: "Exporter les données",
    exportDescription: "Définissez un mot de passe (minimum 32 caractères) pour chiffrer votre clé",
    importTitle: "Importer des données",
    importDescription: "Importez votre secret chiffré (clé privée) pour activer votre avatar",
    importAttach: "Joindre un fichier chiffré (.enc)",
    passwordLengthInfo: "Le mot de passe doit contenir au moins 32 caractères.",
    passwordImport: "Saisissez votre mot de passe pour déchiffrer les données qui seront enregistrées dans le répertoire de votre système (nom : secret)",
    exportPasswordPlaceholder: "Utilisez des minuscules, majuscules, chiffres et symboles",
    fileInfo: "Votre clé secrète chiffrée sera enregistrée dans le répertoire de votre système (nom : oasis.enc)",
    themeIntro: "Choisissez un thème.",
    setTheme: "Définir le thème",
    language: "Langue",
    languageDescription: "Si vous souhaitez utiliser une autre langue, sélectionnez-la ici.",
    setLanguage: "Définir la langue",
    status: "Statut",
    peerConnections: "Nœuds",
    peerConnectionsIntro: "Gérez toutes vos connexions avec d'autres nœuds.",
    online: "En ligne",
    supported: "Soutenu",
    recommended: "Recommandé",
    blocked: "Bloqué",
    noConnections: "Aucun habitant connecté.",
    noSupportedConnections: "Aucun habitant soutenu.",
    noBlockedConnections: "Aucun habitant bloqué.",
    noRecommendedConnections: "Aucun habitant recommandé.",
    startNetworking: "Commencer à se connecter",
    stopNetworking: "Arrêter de se connecter",
    restartNetworking: "Redémarrer la connexion",
    sync: "Synchroniser le réseau",
    indexes: "Index",
    indexesDescription: "Reconstruire vos index est sûr et peut résoudre certains types d'erreurs.",
    invites: "Invitations",
    invitesDescription: "Utilisez les codes d'invitation du PUB ici.",
    acceptInvite: "Accepter l'invitation",
    acceptedInvites: "Réseaux fédérés",
    noInvites: "Aucune invitation acceptée",
    // misc
    oasisDescription: "Réseau du Projet SNH",
    submit: "Envoyer",
    subjectLabel: "Sujet",
    editProfile: "Modifier l'avatar",
    editProfileDescription: "",
    profileName: "Nom de l'avatar (texte brut)",
    profileImage: "Image de l'avatar",
    profileDescription: "Description de l'avatar (Markdown)",
    hashtagDescription: "Publications des habitants de votre réseau mentionnant ce #hashtag, triées par les plus récentes.",
    rebuildName: "Reconstruire la base de données",
    wallet: "Portefeuille",
    walletAddress: "Adresse",
    walletAmount: "Montant",
    walletAddressLine: ({ address }) => `Adresse : ${address}`,
    walletAmountLine: ({ amount }) => `Montant : ${amount} ECO`,
    walletBack: "Retour",
    walletBalanceTitle: "Solde",
    walletReceiveTitle: "Recevoir",
    walletHistoryTitle: "Historique",
    walletWalletSendTitle: "Envoyer",
    walletBalanceLine: ({ balance }) => `${balance} ECO`,
    walletCnfrs: "Cnfrs",
    walletConfirm: "Confirmer",
    walletDescription: "Gérez vos actifs numériques, y compris l'envoi et la réception d'ECOin, consultez votre solde et votre historique de transactions.",
    walletDate: "Date",
    walletFee: "Frais (Plus les frais sont élevés, plus votre transaction sera traitée rapidement)",
    walletFeeLine: ({ fee }) => `Frais : ECO ${fee}`,
    walletHistory: "Historique",
    walletReceive: "Recevoir",
    walletReset: "Réinitialiser",
    walletSend: "Envoyer",
    walletStatus: "Statut",
    walletDisconnected: "Portefeuille ECOin déconnecté. Vérifiez la configuration de votre portefeuille ou l'état de la connexion.",
    walletSentToLine: ({ destination, amount }) => `Envoyé ECO ${amount} à ${destination}`,
    walletSettingsTitle: "Portefeuille",
    walletSettingsDescription: "Intégrez Oasis à votre portefeuille ECOin.",
    walletStatusMessages: {
        invalid_amount: "Montant invalide",
        invalid_dest: "Adresse de destination invalide",
        invalid_fee: "Frais invalides",
        validation_errors: "Erreurs de validation",
        send_tx_success: "Transaction réussie",
    },
    walletTitle: "Portefeuille",
    walletTotalCostLine: ({ totalCost }) => `Coût total : ECO ${totalCost}`,
    walletTransactionId: "ID de transaction",
    walletTxId: "ID Tx",
    walletType: "Type",
    walletUser: "Nom d'utilisateur",
    walletPass: "Mot de passe",
    walletConfiguration: "Configurer le portefeuille",
    //cipher
    cipher: "Chiffrement",
    randomPassword: "Mot de passe aléatoire",
    password: "Mot de passe",
    text: "Texte",
    encryptedText: "Texte chiffré",
    iv: "Vecteur d'initialisation (IV)",
    encryptTitle: "Chiffrez votre texte",
    encryptDescription: "Entrez le texte que vous souhaitez chiffrer et fournissez un mot de passe.",
    encryptButton: "Chiffrer",
    decryptTitle: "Déchiffrez votre texte",
    decryptDescription: "Entrez le texte chiffré et fournissez le même mot de passe utilisé pour le chiffrer.",
    decryptButton: "Déchiffrer",
    passwordLengthError: "Le mot de passe doit contenir au moins 32 caractères.",
    missingFieldsError: "Texte, mot de passe ou IV non fournis.",
    encryptionError: "Erreur lors du chiffrement du texte.",
    decryptionError: "Erreur lors du déchiffrement du texte.",
    //cipher
    cipherTitle: "Chiffrement",
    cipherDescription: "Chiffrez et déchiffrez du contenu de manière symétrique (en utilisant un mot de passe partagé).",
    randomPassword: "Mot de passe aléatoire",
    cipherEncryptTitle: "Chiffrer un texte",
    cipherEncryptDescription: "Définissez un mot de passe (minimum 32 caractères) pour chiffrer votre texte",
    cipherTextLabel: "Texte à chiffrer",
    cipherTextPlaceholder: "Entrez le texte à chiffrer...",
    cipherPasswordLabel: "Mot de passe",
    cipherPasswordPlaceholder: "Entrez un mot de passe...",
    cipherEncryptButton: "Chiffrer",
    cipherDecryptTitle: "Déchiffrer un texte",
    cipherDecryptDescription: "Entrez le texte chiffré, le mot de passe et l'IV pour le déchiffrer.",
    cipherEncryptedTextLabel: "Texte chiffré",
    cipherEncryptedTextPlaceholder: "Entrez le texte chiffré...",
    cipherIvLabel: "IV",
    cipherIvPlaceholder: "Entrez le vecteur d'initialisation...",
    cipherDecryptButton: "Déchiffrer"
    }
};

module.exports = i18n;
